#jinja2: trim_blocks: True, lstrip_blocks: True
{{ ansible_managed | comment }}

user {{ nginx_runas_user }} {{ nginx_runas_group }};
pid {{ nginx_lock }};
worker_processes auto;
worker_rlimit_nofile 2048;

events {
    worker_connections 2048;
    multi_accept on;
    use epoll;
}

http {
    log_format main '$remote_addr - $remote_user [$time_local] "$http_host" "$request" '
                    '$status $body_bytes_sent "$http_referer" '
                    '"$http_user_agent" "$http_x_forwarded_for"';

    sendfile on;
    tcp_nodelay on;
    tcp_nopush on;
    types_hash_max_size 2048;
    keepalive_timeout {{ nginx_keepalive_timeout }};
    server_tokens off;

    include {{ nginx_confdir }}/mime.types;
    default_type application/octet-stream;

    access_log {{ nginx_logdir }}/access.log main;
    error_log {{ nginx_logdir }}/error.log warn;

    include {{ nginx_confdir }}/upstream.d/*.conf;
    include {{ nginx_confdir }}/conf.d/*.conf;
    include {{ nginx_confdir }}/vhost.d/*.conf;
}
